---

- name: 1.7.1 Configure SELinux
  become: true
  block:
    - name: 1.7.1.3 Ensure SELinux policy is configured
      ansible.builtin.lineinfile:
        path: /etc/selinux/config
        state: present
        regex: "^#?SELINUXTYPE"
        line: "SELINUXTYPE=targeted"
    - name: 1.7.1.4 Set setenforce 1
      ansible.builtin.command: 'setenforce 1'
    - name: 1.7.1.4 Set SELINUX to enforcing in config file
      ansible.builtin.lineinfile:
        path: /etc/selinux/config
        state: present
        regex: "^SELINUX="
        line: "SELINUX=enforcing"
  tags:
    - 1.7.1.3
    - 1.7.1.4
